# Uses of Interface
org.eclipse.birt.report.engine.content.IGroupContent

Packages that use IGroupContent
Package
Description
org.eclipse.birt.report.engine.content
Defines interfaces of BIRT report items for Engine to pass from executors to emitters.
org.eclipse.birt.report.engine.emitter
Defines the interfaces of report emitters, and also provides serval general classes for emitters to output XML document, process hyperline, etc.

## Uses of IGroupContent in org.eclipse.birt.report.engine.content

Subinterfaces of IGroupContent in org.eclipse.birt.report.engine.content
Modifier and Type
Interface
Description
`interface`
`IListGroupContent`
Provide the interfaces for the List Group Content.
`interface`
`ITableGroupContent`
Provide the interfaces for the Table Group Content.
Methods in org.eclipse.birt.report.engine.content that return IGroupContent
Modifier and Type
Method
Description
`IGroupContent`
IRowContent.`getGroup()`
Get the group
Methods in org.eclipse.birt.report.engine.content with parameters of type IGroupContent
Modifier and Type
Method
Description
`Object`
IContentVisitor.`visitGroup(IGroupContent group, Object value)`

## Uses of IGroupContent in org.eclipse.birt.report.engine.emitter

Methods in org.eclipse.birt.report.engine.emitter with parameters of type IGroupContent
Modifier and Type
Method
Description
`void`
IContentEmitter.`endGroup(IGroupContent group)`
End group
`void`
IContentEmitter.`startGroup(IGroupContent group)`
Start group